import { MessageType, UUID } from "../../lib/types";
import { RigidBody } from "../wrappers/rigid-body";
import { notImplementedEventReceiver } from "../utils";
import { Matrix4 } from "three";
export declare const bodies: Record<UUID, RigidBody>;
export declare const shapes: Record<UUID, any>;
export declare const matrices: Record<UUID, Matrix4>;
export declare const indexes: Record<UUID, number>;
export declare const ptrToIndex: Record<number, number>;
export declare const ptrToRigidBody: Record<number, UUID>;
export declare const uuids: UUID[];
declare function addBody({ uuid, matrix, options }: {
    uuid: any;
    matrix: any;
    options: any;
}): void;
declare function updateBody({ uuid, options }: {
    uuid: any;
    options: any;
}): void;
declare function bodySetMotionState({ uuid, position, rotation }: {
    uuid: any;
    position: any;
    rotation: any;
}): void;
declare function bodySetLinearVelocity({ uuid, velocity }: {
    uuid: any;
    velocity: any;
}): void;
declare function bodyApplyImpulse({ uuid, impulse, relativeOffset }: {
    uuid: any;
    impulse: any;
    relativeOffset: any;
}): void;
declare function bodyApplyCentralImpulse({ uuid, impulse }: {
    uuid: any;
    impulse: any;
}): void;
declare function bodyApplyForce({ uuid, force, relativeOffset }: {
    uuid: any;
    force: any;
    relativeOffset: any;
}): void;
declare function bodyApplyCentralForce({ uuid, force }: {
    uuid: any;
    force: any;
}): void;
declare function removeBody({ uuid }: {
    uuid: any;
}): void;
declare function addShapes({ bodyUuid, shapesUuid, vertices, matrices, indexes, matrixWorld, options, }: {
    bodyUuid: any;
    shapesUuid: any;
    vertices: any;
    matrices: any;
    indexes: any;
    matrixWorld: any;
    options: any;
}): void;
declare function removeShapes({ bodyUuid, shapesUuid }: {
    bodyUuid: any;
    shapesUuid: any;
}): void;
declare function setShapesOffset({ bodyUuid, offset }: {
    bodyUuid: any;
    offset: any;
}): void;
declare function resetDynamicBody({ uuid }: {
    uuid: any;
}): void;
declare function activateBody({ uuid }: {
    uuid: any;
}): void;
export declare function copyToRigidBodyBuffer(): void;
export declare const rigidBodyEventReceivers: {
    3: typeof addBody;
    4: typeof updateBody;
    5: typeof removeBody;
    6: typeof addShapes;
    7: typeof removeShapes;
    16: typeof setShapesOffset;
    14: typeof resetDynamicBody;
    15: typeof activateBody;
    17: typeof bodySetMotionState;
    18: typeof bodySetLinearVelocity;
    19: typeof notImplementedEventReceiver;
    22: typeof bodyApplyImpulse;
    23: typeof bodyApplyCentralImpulse;
    20: typeof bodyApplyForce;
    21: typeof bodyApplyCentralForce;
    24: typeof notImplementedEventReceiver;
    25: typeof notImplementedEventReceiver;
    26: typeof notImplementedEventReceiver;
    29: typeof notImplementedEventReceiver;
    27: typeof notImplementedEventReceiver;
    28: typeof notImplementedEventReceiver;
};
export {};
