import { World } from "../wrappers/world";
import { MessageType, SharedBuffers } from "../../lib/types";
export declare let world: World;
export declare let freeIndexArray: Int32Array;
export declare let vector3Tmp1: Ammo.btVector3;
export declare let vector3Tmp2: Ammo.btVector3;
export declare let quatTmp1: Ammo.btQuaternion;
export declare let usingSharedArrayBuffer: boolean;
export declare let sharedBuffers: SharedBuffers;
declare function initWorld({ wasmUrl, sharedBuffers: transferredBuffers, worldConfig, isSharedArrayBufferSupported, }: {
    wasmUrl: any;
    sharedBuffers: any;
    worldConfig: any;
    isSharedArrayBufferSupported: any;
}): Promise<void>;
declare function transferBuffers({ sharedBuffers: receivedSharedBuffers }: {
    sharedBuffers: any;
}): void;
export declare function isBufferConsumed(): boolean;
export declare function releaseBuffer(): void;
export declare const worldEventReceivers: {
    0: typeof initWorld;
    1: typeof transferBuffers;
};
export {};
